Flutter

[Flutter] web_socket_channel 패키지의 Unsupported operation: Platform._version, Web 플렛폼 의존성 등 여러 문제(이슈) 해결 방법


Web_socket_channel 패키지는 웹소켓을 편리하게 연결할 수 있도록 도와주는 패키지이며 NullSafety를 지원한다.


Unsupported operation: Platform._version 에러(이슈) 해결

에러 원인

import 'package:web_socket_channel/io.dart';

해결 방법

import 'package:web_socket_channel/web_socket_channel.dart';

의존성

build_runner: ^1.11.0
build_test: ^2.0.0
build_web_compilers: ^2.12.0
build_resolvers: ^2.0.0

web_socket_channel: ^2.1.0

댓글 남기기

이메일은 공개되지 않습니다. 필수 입력창은 * 로 표시되어 있습니다